GNU bug report logs - #4123
23.1.50; Using Emacs on files with very long lines makes it sluggish

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Deniz Dogan <deniz.a.m.dogan@HIDDEN>; merged with #3219, #9589, #13675, #15555, #18530, #24523, #30457; dated Tue, 11 Aug 2009 15:40:07 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3219 4123 9589 13675 15555 18530 24523 30457. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530 24523. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #16786 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 16786. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123. Request was from Chong Yidong <cyd@HIDDEN> to control@HIDDEN. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 11 Aug 2009 15:33:32 +0000
From deniz.a.m.dogan@HIDDEN Tue Aug 11 08:33:32 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7BFXU1S022678
	for <submit@HIDDEN>; Tue, 11 Aug 2009 08:33:32 -0700
Received: from mail.gnu.org ([199.232.76.166]:45220 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <deniz.a.m.dogan@HIDDEN>)
	id 1MatLt-0001rn-UX
	for emacs-pretest-bug@HIDDEN; Tue, 11 Aug 2009 11:33:30 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <deniz.a.m.dogan@HIDDEN>)
	id 1MatLr-0007OC-Sm
	for emacs-pretest-bug@HIDDEN; Tue, 11 Aug 2009 11:33:29 -0400
Received: from ey-out-1920.google.com ([74.125.78.146]:43339)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <deniz.a.m.dogan@HIDDEN>)
	id 1MatLr-0007O0-IQ
	for emacs-pretest-bug@HIDDEN; Tue, 11 Aug 2009 11:33:27 -0400
Received: by ey-out-1920.google.com with SMTP id 5so1169295eyb.24
        for <emacs-pretest-bug@HIDDEN>; Tue, 11 Aug 2009 08:33:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:date:message-id:subject
         :from:to:content-type:content-transfer-encoding;
        bh=9yXl40BLyW3ish8/63ZxpTwlT9MiJp/kAqLpLrLNFA8=;
        b=mm9dVZMkIdzkzDO5NErx45F5Jgf2QQMQj21ijjMScr6mX0RfPFGVBO9PoUl5zhvvGi
         i/5gF3yRak8gQauS5kbVZd7KYzDXdnlSsVJC5la9/uPLDkjz/Hv+u23DwMiNVO9nNAay
         4eBOA807eR5FGu3k486TT9FumoG0m//QlUDFU=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:date:message-id:subject:from:to:content-type
         :content-transfer-encoding;
        b=emlB3zQ/XpP0Hokf10UpXr8W7e35HHG/jRxCnz6YLKozTboZAFWr2MH+oUl2bud0dA
         BSwwTgnB1RblhEPRYWQcLjyaaMP0daxxI8wWpqwFCCYVsgrh1T8Xs6zeT6ysUFLfwO1S
         DawLh49aMc85OjuqZrJLiODC8DTecZHAJYYRQ=
MIME-Version: 1.0
Received: by 10.210.113.19 with SMTP id l19mr1130333ebc.3.1250004806065; Tue, 
	11 Aug 2009 08:33:26 -0700 (PDT)
Date: Tue, 11 Aug 2009 17:33:26 +0200
Message-ID: <7b501d5c0908110833j1652cae3xb40b2e8e2ec0c6fd@HIDDEN>
Subject: 23.1.50; Using Emacs on files with very long lines makes it sluggish
From: Deniz Dogan <deniz.a.m.dogan@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the emacs-pretest-bug@HIDDEN mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

1. I start Emacs using "emacs -Q".
2. I find-file to something which doesn't exist, to get a buffer in
fundamental-mode.
3. M-1 M-0 M-0 M-0 M-0 M-0 M-0 A (insert a million As)
4. M-> (end-of-buffer)
5. C-p (previous-line)
6. Watch Emacs take a few seconds to figure out where to put point.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/deniz/usr/share/emacs/23.1.50/etc/DEBUG for instructions.


In GNU Emacs 23.1.50.4 (i686-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-04 on stalin
Windowing system distributor `The X.Org Foundation', version 11.0.10603000
configured using `configure  '--prefix=/home/deniz/usr' '--without-jpeg''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n M-> C-p C-e C-p C-p M-<
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-v C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-v C-v C-v
C-v C-v C-v C-v C-v C-v C-v C-n C-n C-n C-n C-v C-v
C-v M-> C-4 C-p C-n C-n C-p M-< C-n C-n C-n C-p C-p
C-n C-n C-n C-v C-p C-p C-p C-p C-v C-v C-v C-v C-v
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v
C-v C-v C-v C-v C-v C-v C-v C-p C-p C-p M-x r e p o
r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set [4 times]

Load-path shadows:
None found.



Acknowledgement sent to Deniz Dogan <deniz.a.m.dogan@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4123; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Feb 2018 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.